Hi Again,
I tried the code like this:
(defun c:delsolwhat ( / d )
(vlax-for b (vla-get-blocks (setq d (vla-get-activedocument (vlax-get-acad-object))))
(if (= :vlax-false (vla-get-isxref b))
(vlax-for o b
(if (and (= "AcDbHatch" (vla-get-objectname o)) (= "SOLID" (strcase (vla-get-patternname o))) (= 7 (vla-get-Color o))
(vlax-write-enabled-p o) ) (vla-delete o) )
)
)
)
)
(vla-regen d acallviewports)
(princ)
)
(vl-load-com) (princ)
And it is partly working, when executing It seems that the command is performed, but no changes appear. If I manually type and run BURST afterwards, all the solid white hatches disappear, and it seems that the blocks is intact. I'm not sure if burst explodes only one level that doesn't have any effects.